> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wiza.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Company search

> Search for companies using firmographic, location, growth, and funding filters. Returned companies cost 0.5 API credits each.



## OpenAPI

````yaml /swagger/v1/openapi.yaml post /api/accounts/search
openapi: 3.0.1
info:
  title: Wiza API Documentation
  version: v1
servers:
  - url: https://wiza.co
    variables:
      defaultHost:
        default: wiza.co
security: []
paths:
  /api/accounts/search:
    post:
      tags:
        - Prospect
      summary: Company search
      description: >-
        Search for companies using firmographic, location, growth, and funding
        filters. Returned companies cost 0.5 API credits each.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  required:
                    - filters
                  additionalProperties: false
                  properties:
                    size:
                      type: integer
                      minimum: 0
                      description: >-
                        Number of companies to return. Defaults to 0. The
                        account-specific maximum is usually 30.
                      example: 10
                    filters:
                      type: object
                      description: >-
                        Company filters. At least one filter is required for a
                        new search.
                      properties:
                        company_id:
                          type: array
                          items:
                            type: object
                            required:
                              - v
                            properties:
                              v:
                                type: string
                                description: Filter value
                              s:
                                type: string
                                enum:
                                  - i
                                  - e
                                description: Include (i) or exclude (e)
                          description: Company search IDs to include or exclude
                        company_linkedin_id:
                          type: array
                          items:
                            type: object
                            required:
                              - v
                            properties:
                              v:
                                type: string
                                description: Filter value
                              s:
                                type: string
                                enum:
                                  - i
                                  - e
                                description: Include (i) or exclude (e)
                          description: LinkedIn company IDs to include or exclude
                        company_summary:
                          type: array
                          items:
                            type: object
                            required:
                              - v
                            properties:
                              v:
                                type: string
                                description: Filter value
                              s:
                                type: string
                                enum:
                                  - i
                                  - e
                                description: Include (i) or exclude (e)
                          description: Keywords in the company description
                        company_location:
                          type: array
                          items:
                            type: object
                            required:
                              - v
                              - b
                            properties:
                              v:
                                type: string
                                example: Toronto, Ontario, Canada
                              b:
                                type: string
                                enum:
                                  - city
                                  - state
                                  - country
                                  - continent
                                  - group
                                description: Location boundary
                              s:
                                type: string
                                enum:
                                  - i
                                  - e
                                description: Include (i) or exclude (e)
                          description: Company headquarters locations
                        company_radius:
                          type: array
                          items:
                            type: object
                            required:
                              - v
                              - r
                            properties:
                              v:
                                type: string
                                example: 43.6532,-79.3832
                                description: Latitude and longitude
                              r:
                                type: string
                                example: 25mi
                                description: Search radius
                              s:
                                type: string
                                enum:
                                  - i
                                  - e
                                description: Include (i) or exclude (e)
                        company_industry:
                          type: array
                          items:
                            oneOf:
                              - type: string
                              - type: object
                                required:
                                  - v
                                properties:
                                  v:
                                    type: string
                                    description: Filter value
                                  s:
                                    type: string
                                    enum:
                                      - i
                                      - e
                                    description: Include (i) or exclude (e)
                          example:
                            - Computer Software
                        naics_code:
                          type: array
                          items:
                            type: object
                            required:
                              - v
                            properties:
                              v:
                                type: string
                                description: Filter value
                              s:
                                type: string
                                enum:
                                  - i
                                  - e
                                description: Include (i) or exclude (e)
                        sic_code:
                          type: array
                          items:
                            type: object
                            required:
                              - v
                            properties:
                              v:
                                type: string
                                description: Filter value
                              s:
                                type: string
                                enum:
                                  - i
                                  - e
                                description: Include (i) or exclude (e)
                        company_type:
                          type: array
                          items:
                            type: string
                            enum:
                              - private
                              - public
                              - educational
                              - government
                              - nonprofit
                              - public_subsidiary
                        company_size:
                          type: array
                          items:
                            type: string
                            enum:
                              - 1-10
                              - 11-50
                              - 51-200
                              - 201-500
                              - 501-1000
                              - 1001-5000
                              - 5001-10000
                              - 10001+
                        technologies:
                          type: array
                          items:
                            type: object
                            required:
                              - v
                            properties:
                              v:
                                type: string
                                description: Technology slug
                                example: amazon-web-services
                              s:
                                type: string
                                description: Include or exclude the technology
                                enum:
                                  - i
                                  - e
                          example:
                            - v: amazon-web-services
                            - v: salesforce
                              s: e
                          description: >-
                            Technology slugs to include or exclude. If `s` is
                            omitted, the technology is included by default.
                        company_annual_growth:
                          type: string
                          enum:
                            - 0-5%
                            - 5-10%
                            - 10-20%
                            - 20-50%
                            - 50-100%
                            - 100%+
                        department_size:
                          type: array
                          items:
                            type: string
                          description: Department and headcount range, such as sales:10-50
                        year_founded_start:
                          type: integer
                          example: 2015
                        year_founded_end:
                          type: integer
                          example: 2024
                        revenue:
                          type: array
                          items:
                            type: string
                            enum:
                              - $0-$1M
                              - $1M-$10M
                              - $10M-$25M
                              - $25M-$50M
                              - $50M-$100M
                              - $100M-$250M
                              - $250M-$500M
                              - $500M-$1B
                              - $1B-$10B
                              - $10B+
                        funding_date:
                          type: object
                          properties:
                            t:
                              type: string
                              enum:
                                - last
                                - any
                            v:
                              type: string
                              enum:
                                - 60d
                                - 90d
                                - 180d
                                - 270d
                                - 1y
                        last_funding_min:
                          type: string
                          enum:
                            - $500K
                            - $1M
                            - $5M
                            - $10M
                            - $25M
                            - $50M
                            - $100M
                            - $250M
                            - $500M
                            - $1B
                        last_funding_max:
                          type: string
                          enum:
                            - $500K
                            - $1M
                            - $5M
                            - $10M
                            - $25M
                            - $50M
                            - $100M
                            - $250M
                            - $500M
                            - $1B
                        funding_min:
                          type: string
                          enum:
                            - $500K
                            - $1M
                            - $5M
                            - $10M
                            - $25M
                            - $50M
                            - $100M
                            - $250M
                            - $500M
                            - $1B
                        funding_max:
                          type: string
                          enum:
                            - $500K
                            - $1M
                            - $5M
                            - $10M
                            - $25M
                            - $50M
                            - $100M
                            - $250M
                            - $500M
                            - $1B
                        funding_stage:
                          type: object
                          properties:
                            t:
                              type: string
                              enum:
                                - last
                                - any
                            v:
                              type: array
                              items:
                                type: string
                                enum:
                                  - pre_seed
                                  - seed
                                  - series_a
                                  - series_b
                                  - series_c
                                  - series_d
                                  - series_e-j
                                  - other
                        funding_type:
                          type: object
                          properties:
                            t:
                              type: string
                              enum:
                                - last
                                - any
                            v:
                              type: array
                              items:
                                type: string
                                enum:
                                  - angel
                                  - venture
                                  - grant
                                  - debt_financing
                                  - private_equity
                                  - crowdfunding
                                  - other
                - type: object
                  required:
                    - page_token
                    - size
                  additionalProperties: false
                  properties:
                    size:
                      type: integer
                      minimum: 1
                      description: Number of companies to return from the next page.
                      example: 10
                    page_token:
                      type: string
                      minLength: 1
                      description: Token from the previous response.
      responses:
        '200':
          description: successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountSearchResponse'
        '400':
          description: invalid request or insufficient API credits
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 400
                      message:
                        type: string
        '429':
          description: rate limit exceeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 429
                      message:
                        type: string
                        example: >-
                          You have reached API usage limits. Please contact
                          support.
      security:
        - bearer_auth: []
components:
  schemas:
    AccountSearchResponse:
      type: object
      properties:
        status:
          type: object
          properties:
            code:
              type: integer
              example: 200
        data:
          type: object
          properties:
            total:
              type: integer
              example: 15
            companies:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    example: wiza
                  pdl_id:
                    type: string
                    nullable: true
                    example: wiza
                  linkedin_id:
                    type: string
                    nullable: true
                    example: '67160217'
                  linkedin_slug:
                    type: string
                    nullable: true
                    example: wiza
                  name:
                    type: string
                    example: Wiza
                  website:
                    type: string
                    nullable: true
                    example: wiza.co
                  size:
                    type: string
                    nullable: true
                    example: 51-200
                  industry:
                    type: string
                    nullable: true
                    example: Computer Software
                  founded:
                    type: integer
                    nullable: true
                    example: 2019
                  type:
                    type: string
                    nullable: true
                    example: private
                  inferred_revenue:
                    type: string
                    nullable: true
                    example: $10M-$25M
                  total_funding_raised:
                    type: number
                    nullable: true
                    example: 10000000
                  location_name:
                    type: string
                    nullable: true
                    example: New York, New York, United States
                  linkedin_url:
                    type: string
                    nullable: true
                    example: https://linkedin.com/company/wiza
            next_page_token:
              type: string
              nullable: true
              description: >-
                Pass this token with size, and without filters, to fetch the
                next preview page.
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Enter your bearer token (your API key) in the **Authorization** header
        in the format `Bearer {token}`

````